%define Werror_cflags %nil
%global _legacy_common_support 1

Summary:        Recover files based on their headers and footers
Name:           foremost
Version:        1.5.7
Release:        %mkrel 11
Epoch:          0
Group:          File tools
License:        Public Domain
URL:            http://foremost.sourceforge.net/
Source0:        http://foremost.sourceforge.net/pkg/foremost-%{version}.tar.gz
Patch0:         foremost-broken-jpeg.patch
Patch1:         foremost-fix-permission-timestamp.patch

%description
Foremost is a Linux program to recover files based on their headers and
footers. Foremost can work on image files, such as those generated by
dd, Safeback, Encase, etc, or directly on a drive. The headers and
footers are specified by a configuration file, so you can pick and
choose which headers you want to look for.

%prep
%setup -q
%patch0 -p0
%patch1 -p2

sed -i 's!/usr/local/etc/foremost.conf!%{_sysconfdir}/foremost.conf!' config.c
sed -i 's/^RAW_FLAGS =.*/RAW_FLAGS = %{optflags}/' Makefile

%build
%make_build

%install
chmod 0644 *
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}/man8
make install BIN=%{buildroot}%{_bindir} MAN=%{buildroot}%{_mandir}/man8 CONF=%{buildroot}%{_sysconfdir}

%files
%defattr(0644,root,root,0755)
%doc CHANGES README
%attr(0755,root,root) %{_bindir}/foremost
%{_bindir}/*
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Fri Aug 21 2020 joequant <joequant> 0:1.5.7-11.mga8
+ Revision: 1617487
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 0:1.5.7-10.mga8
+ Revision: 1512324
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0:1.5.7-9.mga7
+ Revision: 1297745
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Mon Feb 01 2016 umeabot <umeabot> 0:1.5.7-8.mga6
+ Revision: 930088
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.5.7-7.mga5
+ Revision: 750152
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.5.7-6.mga5
+ Revision: 679300
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:1.5.7-5.mga4
+ Revision: 504538
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0:1.5.7-4.mga3
+ Revision: 350780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 09 2011 dams <dams> 0:1.5.7-3.mga3
+ Revision: 102561
- add patch to fix segfaults with broken jpeg

* Sun Jan 09 2011 kharec <kharec> 0:1.5.7-2.mga2
+ Revision: 1319
- imported package foremost

